package org.ts.ddcs.service;

import org.ts.ddcs.entity.RtuStatusEntity;
import org.ts.ddcs.entity.WarningInfo;

/**
 * 预警数据接口
 * @author dylan
 */
public interface WarningService {
    void saveWarning(WarningInfo warningInfo);
    WarningInfo  getLastWarning(String rtuCode,String warningType);
    void warningRecovery(WarningInfo warningInfo);
    /**
     * 更新交流电报警信息
     * @param entity
     */
    void RtuAcWarnningHappen(RtuStatusEntity entity);
    void RtuAcWarnningRecovery(RtuStatusEntity entity);

    /**
     * 更新电池电压报警信息
     * @param entity
     */
    void RtuBvWarnningHappen(RtuStatusEntity entity);
    void RtuBvWarnningRecovery(RtuStatusEntity entity);

    /**
     * 更新水位计报警信息
     * @param entity
     */
    void RtuSeWarnningHappen(RtuStatusEntity entity);
    void RtuSeWarnningRecovery(RtuStatusEntity entity);
}
